> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobula.io/llms.txt
> Use this file to discover all available pages before exploring further.

# tokenSparklines

> Fetch price sparkline data for one or more tokens.

### Returns

<ResponseField name="tokenSparklines" type="[TokenSparkline!]!">
  List of sparkline data per token.
</ResponseField>

### Arguments

<ResponseField name="input" type="TokenSparklineInput!" required>
  Sparkline query parameters.
</ResponseField>

### Example

```graphql theme={null}
{
  tokenSparklines(
    input: {ids: ["So11111111111111111111111111111111111111112:1399811149"], resolution: "60"}
  ) {
    id
    resolution
    attribute
    sparkline {
      timestamp
      value
    }
  }
}
```

### Playground

<iframe src={`https://graphql.mobula.io/graphql?query=${encodeURIComponent('{ tokenSparklines(input: {ids: ["So11111111111111111111111111111111111111112:1399811149"], resolution: "60"}) { id resolution attribute sparkline { timestamp value } } }')}`} title="GraphQL Playground" style={{ width: '100%', minHeight: '600px', border: '1px solid var(--color-border)', borderRadius: '8px' }} />
